petsc-3.4.2 2013-07-02

# SNESLINESEARCHL2

Secant search in the L2 norm of the function. The function norm is evaluated at points in [0, damping] to construct a polynomial fitting. This fitting is used to construct a new lambda based upon secant descent. The process is repeated on the new interval, [lambda, lambda_old], max_it - 1 times.

### Options Database Keys

| -snes_linesearch_max_it<1> | - maximum number of iterations
| -snes_linesearch_damping<1.0> | - initial steplength
| -snes_linesearch_minlambda | - minimum allowable lambda

### Keywords

SNES, nonlinear, line search, norm, secant

### See Also

SNESLineSearchBT, SNESLineSearchCP, SNESLineSearch

Level:advanced
Location:src/snes/linesearch/impls/l2/linesearchl2.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages